org.jboss.jca.core.spi.transaction

## Interface TransactionIntegration

-     public interface TransactionIntegration

  This interface defines the contract for a transaction manager integration with the IronJacamar container. The methods allows the IronJacamar container to create or get transaction related information from the transaction manager implementation and allows the implementation of this information to be specific for each instance of this interface. If a feature isn't supported by the transaction manager a `null` value should be returned. That way it is disabled in the IronJacamar container.
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalXAResource` | `createConnectableLocalXAResource(ConnectionManager cm, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, ConnectableResource cr, XAResourceStatistics xastat)` Create a connectable LocalXAResource instance
    `LocalXAResource` | `createConnectableLocalXAResource(ConnectionManager cm, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, javax.resource.spi.ManagedConnection mc, XAResourceStatistics xastat)` Create a connectable LocalXAResource instance
    `XAResourceWrapper` | `createConnectableXAResourceWrapper(javax.transaction.xa.XAResource xares, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, ConnectableResource cr, XAResourceStatistics xastat)` Create a connectable XAResource wrapper instance
    `XAResourceWrapper` | `createConnectableXAResourceWrapper(javax.transaction.xa.XAResource xares, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, javax.resource.spi.ManagedConnection mc, XAResourceStatistics xastat)` Create a connectable XAResource wrapper instance
    `LocalXAResource` | `createLocalXAResource(ConnectionManager cm, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, XAResourceStatistics xastat)` Create a LocalXAResource instance
    `XAResourceRecovery` | `createXAResourceRecovery(javax.resource.spi.ManagedConnectionFactory mcf, java.lang.Boolean pad, java.lang.Boolean override, java.lang.Boolean wrapXAResource, java.lang.String recoverUserName, java.lang.String recoverPassword, java.lang.String recoverSecurityDomain, SubjectFactory subjectFactory, RecoveryPlugin plugin, XAResourceStatistics xastat)` Create an XAResourceRecovery instance
    `XAResourceRecovery` | `createXAResourceRecovery(javax.resource.spi.ResourceAdapter rar, javax.resource.spi.ActivationSpec as, java.lang.String productName, java.lang.String productVersion)` Create an XAResourceRecovery instance
    `XAResourceWrapper` | `createXAResourceWrapper(javax.transaction.xa.XAResource xares, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, boolean firstResource, XAResourceStatistics xastat)` Create an XAResource wrapper instance
    `java.lang.Object` | `getIdentifier(javax.transaction.Transaction tx)` Get the identifier for the transaction
    `XAResourceRecoveryRegistry` | `getRecoveryRegistry()` Get the recovery registry
    `javax.transaction.TransactionManager` | `getTransactionManager()` Get the transaction manager
    `javax.transaction.TransactionSynchronizationRegistry` | `getTransactionSynchronizationRegistry()` Get the transaction synchronization registry
    `UserTransactionRegistry` | `getUserTransactionRegistry()` Get the user transaction registry
    `XATerminator` | `getXATerminator()` Get the XATerminator
    `boolean` | `isConnectableResource(javax.resource.spi.ManagedConnection mc)` Is a connectable resource
    `boolean` | `isFirstResource(javax.resource.spi.ManagedConnection mc)` Is a first resource

- - ### Method Detail

    - #### getTransactionManager

          javax.transaction.TransactionManager getTransactionManager()

      Get the transaction manager
      Returns:
        The value

    - #### getTransactionSynchronizationRegistry

          javax.transaction.TransactionSynchronizationRegistry getTransactionSynchronizationRegistry()

      Get the transaction synchronization registry
      Returns:
        The value

    - #### getUserTransactionRegistry

          UserTransactionRegistry getUserTransactionRegistry()

      Get the user transaction registry
      Returns:
        The value

    - #### getRecoveryRegistry

          XAResourceRecoveryRegistry getRecoveryRegistry()

      Get the recovery registry
      Returns:
        The value

    - #### getXATerminator

          XATerminator getXATerminator()

      Get the XATerminator
      Returns:
        The value

    - #### createXAResourceRecovery

          XAResourceRecovery createXAResourceRecovery(javax.resource.spi.ResourceAdapter rar,
                                                      javax.resource.spi.ActivationSpec as,
                                                      java.lang.String productName,
                                                      java.lang.String productVersion)

      Create an XAResourceRecovery instance
      Parameters:
        `rar` - The resource adapter
        `as` - The activation spec
        `productName` - The product name
        `productVersion` - The product version
      Returns:
        The value

    - #### createXAResourceRecovery

          XAResourceRecovery createXAResourceRecovery(javax.resource.spi.ManagedConnectionFactory mcf,
                                                      java.lang.Boolean pad,
                                                      java.lang.Boolean override,
                                                      java.lang.Boolean wrapXAResource,
                                                      java.lang.String recoverUserName,
                                                      java.lang.String recoverPassword,
                                                      java.lang.String recoverSecurityDomain,
                                                      SubjectFactory subjectFactory,
                                                      RecoveryPlugin plugin,
                                                      XAResourceStatistics xastat)

      Create an XAResourceRecovery instance
      Parameters:
        `mcf` - The managed connection factory
        `pad` - Should the branch qualifier for Xid's be padded
        `override` - Should the isSameRM value be overriden; `null` for instance equally check
        `wrapXAResource` - Should the XAResource be wrapped
        `recoverUserName` - The user name for recovery
        `recoverPassword` - The password for recovery
        `recoverSecurityDomain` - The security domain for recovery
        `subjectFactory` - The subject factory
        `plugin` - The recovery plugin
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createLocalXAResource

          LocalXAResource createLocalXAResource(ConnectionManager cm,
                                                java.lang.String productName,
                                                java.lang.String productVersion,
                                                java.lang.String jndiName,
                                                XAResourceStatistics xastat)

      Create a LocalXAResource instance
      Parameters:
        `cm` - The connection manager
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createConnectableLocalXAResource

          LocalXAResource createConnectableLocalXAResource(ConnectionManager cm,
                                                           java.lang.String productName,
                                                           java.lang.String productVersion,
                                                           java.lang.String jndiName,
                                                           ConnectableResource cr,
                                                           XAResourceStatistics xastat)

      Create a connectable LocalXAResource instance
      Parameters:
        `cm` - The connection manager
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `cr` - The connectable resource
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createConnectableLocalXAResource

          LocalXAResource createConnectableLocalXAResource(ConnectionManager cm,
                                                           java.lang.String productName,
                                                           java.lang.String productVersion,
                                                           java.lang.String jndiName,
                                                           javax.resource.spi.ManagedConnection mc,
                                                           XAResourceStatistics xastat)

      Create a connectable LocalXAResource instance
      Parameters:
        `cm` - The connection manager
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `mc` - The managed connection
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createXAResourceWrapper

          XAResourceWrapper createXAResourceWrapper(javax.transaction.xa.XAResource xares,
                                                    boolean pad,
                                                    java.lang.Boolean override,
                                                    java.lang.String productName,
                                                    java.lang.String productVersion,
                                                    java.lang.String jndiName,
                                                    boolean firstResource,
                                                    XAResourceStatistics xastat)

      Create an XAResource wrapper instance
      Parameters:
        `xares` - The XAResource instance
        `pad` - Should the branch qualifier for Xid's be padded
        `override` - Should the isSameRM value be overriden; `null` for instance equally check
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `firstResource` - Is the resource a first resource
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createConnectableXAResourceWrapper

          XAResourceWrapper createConnectableXAResourceWrapper(javax.transaction.xa.XAResource xares,
                                                               boolean pad,
                                                               java.lang.Boolean override,
                                                               java.lang.String productName,
                                                               java.lang.String productVersion,
                                                               java.lang.String jndiName,
                                                               ConnectableResource cr,
                                                               XAResourceStatistics xastat)

      Create a connectable XAResource wrapper instance
      Parameters:
        `xares` - The XAResource instance
        `pad` - Should the branch qualifier for Xid's be padded
        `override` - Should the isSameRM value be overriden; `null` for instance equally check
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `cr` - The connectable resource
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createConnectableXAResourceWrapper

          XAResourceWrapper createConnectableXAResourceWrapper(javax.transaction.xa.XAResource xares,
                                                               boolean pad,
                                                               java.lang.Boolean override,
                                                               java.lang.String productName,
                                                               java.lang.String productVersion,
                                                               java.lang.String jndiName,
                                                               javax.resource.spi.ManagedConnection mc,
                                                               XAResourceStatistics xastat)

      Create a connectable XAResource wrapper instance
      Parameters:
        `xares` - The XAResource instance
        `pad` - Should the branch qualifier for Xid's be padded
        `override` - Should the isSameRM value be overriden; `null` for instance equally check
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `mc` - The managed connection
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### isFirstResource

          boolean isFirstResource(javax.resource.spi.ManagedConnection mc)

      Is a first resource
      Parameters:
        `mc` - The managed connection
      Returns:
        The value

    - #### isConnectableResource

          boolean isConnectableResource(javax.resource.spi.ManagedConnection mc)

      Is a connectable resource
      Parameters:
        `mc` - The managed connection
      Returns:
        The value

    - #### getIdentifier

          java.lang.Object getIdentifier(javax.transaction.Transaction tx)

      Get the identifier for the transaction
      Parameters:
        `tx` - The transaction
      Returns:
        Its stable identifier

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)